{
	"compilerOptions": {
		"target": "ES2020", // Latest ECMAScript features that are widely supported by modern browsers
		"useDefineForClassFields": true,
		"module": "ESNext", // Use ES modules
		"lib": ["ES2020", "DOM", "DOM.Iterable"],
		"skipLibCheck": true,
		"moduleResolution": "bundler",
		"allowImportingTsExtensions": true,
		"resolveJsonModule": true,
		"isolatedModules": true,
		"noEmit": true,
		"jsx": "preserve", // Preserves JSX to be transformed by Babel or another transpiler
		"strict": true, // Enable all strict type checking options
		"noUnusedLocals": true,
		"noUnusedParameters": true,
		"noFallthroughCasesInSwitch": true,
		"baseUrl": ".",
		"experimentalDecorators": true,
		"paths": {
			"@/*": ["src/*"]
		}
	},
	"include": [
		"src/**/*.ts",
		"src/**/*.d.ts",
		"src/**/*.tsx",
		"src/**/*.vue"
	],
	"references": [{ "path": "./tsconfig.node.json" }]
}
